DBLIST(1)                 USER COMMANDS                 DBLIST(1)

NAME
     dblist - dbf file lister (version 1.00)

SYNOPSIS
     dblist [options] filename[.dbf]

DESCRIPTION
     dblist can list the structure or the data in a .dbf file in
     various formats.  dblist can list all the records, a
     specified range or a single record.  A list of field names
     can also be provided.  Deleted records are handled in the
     same way as xBase, with a "set deleted" switch.

     By default, dblist will list all the records in a format
     where each field is displayed on a separate line.  

     The output is always sent to "stdout", except for error
     messages, which are sent to "stderr".

     dblist handles all the xBase field types.  It also handles the
     FoxPro 2.0 Float type (which is actually just a Numeric).
     Memo fields output the string "Memo Field".

OPTIONS
     -b<number>
          sets beginning record.  dblist will start listing from
          record <number>.

     -c   lists the output in comma delimited format (type
          delimited).  Character fields are also enclosed in
          double quotes.

     -d   ignores deleted records (set deleted off).

     -e<number>
          stops the output after record <number> has been listed.

     -f<string>
          outputs only the fields listed in <string>.  <string>
          must contain field names separated by commas.

     -g<number>
          go to record <number>.  dblist will list only record
          <number>.

     -h   displays the help screen.

     -i   displays internal information about the .dbf file such
          as the length of the header, the number of records,
          number of fields...

     -l   outputs the records in xBase LIST format.

     -n   outputs the field names as the first line (in comma
          delimited format only).

     -s   outputs the structure of the .dbf file.  The default
          format is the same as the DISPLAY STRUCTURE command. 
          This option can be combined with the -c and -t options
          to output in comma delimited or SDF formats.

     -t   outputs in SDF (flat ASCII file) format.

     ?    displays the help screen.

DOS ERRORLEVEL
     dblist returns the dos errorlevel code 0 on success, 1 on
     any error.

EXAMPLES
     To output the structure in comma delimited format of file
     aaa.dbf:
         dblist -s -c aaa

     To output the records in dBase list format of file bbb.dbf:
         dblist -l bbb.dbf

     To output the records between 7 and 25 in sdf format of file
     ccc.dbf:
         dblist -b7 -e25 -t ccc

     To output fields f1 and f2 of ddd.dbf:
         dblist -ff1,f2 ddd

