@echo off
rem
rem  A command line parameter of "c" will compile an .NTX-only version
rem  A command line parameter of "d" will compile a debugging version.
rem  A command line parameter of "x" will compile a version with access
rem   to all drivers.
rem  A command line parameter of "z" will compile a debugging version with
rem   access to all drivers.
rem
rem  Compiler
rem  options:  -dDBFNDX = DBFNDX.LIB being linked (needed for MYFUNC only)
rem            -dDBFCDX = DBFSIX.LIB being linked (needed for MYFUNC only)
rem            -dDBFMDX = DBFMDX.LIB being linked (needed for MYFUNC only)
rem            -dDBFSIX = DBFSIX.LIB being linked (needed for MYFUNC only)
rem
rem  WARNING:  DO NOT USE BOTH DBFCDX AND DBFSIX DRIVERS SIMULTANEOUSLY!
rem            DOING SO WILL CAUSE THE PROGRAM TO LOCK UP YOUR MACHINE!
rem
if "%1"=="c" goto plain_jane
if "%1"=="C" goto plain_jane
if "%1"=="d" goto debug
if "%1"=="D" goto debug
if "%1"=="x" goto all
if "%1"=="X" goto all
if "%1"=="z" goto alldebug
if "%1"=="Z" goto alldebug
goto help

:plain_jane
clipper myfunc -l -n
rem clipper fixup -l -n
rem blinker @blidbx output dbx
rtlink @rtldbx output dbx
goto end

:debug
echo --- Compiling debugger version ---
clipper myfunc -l -n
rem clipper fixup -l -n
echo --- Debugger version compiled ---
rem blinker @blidbx output dbdbx
rtlink @rtldbx output dbdbx
goto end

:all
clipper myfunc -l -n -dDBFNDX -dDBFCDX -dDBFMDX
rem clipper fixup -l -n
rem blinker @blidbx output dbx
rtlink @rtldbx output dbx
goto end

:alldebug
echo --- Compiling debugger version ---
clipper main -b -n -dDEBUG
clipper myfunc -l -n -dDBFNDX -dDBFCDX -dDBFMDX
rem clipper fixup -l -n
clipper @dbmax -b -n
echo --- Debugger version compiled ---
rem blinker @blidbx output dbdbx
rtlink @rtldbx output dbdbx
goto end

:help
echo.
echo Syntax: MAKEDBX [option]
echo.
echo where:  [option] is ? = help
echo                     c = .NTX-only version
echo                     d = debug .NTX version
echo                     x = all driver version (DBFNTX, DBFCDX, DBFNDX, DBFMDX)
echo                     z = debug all driver version
echo.
:end

